### Class

# Pos CompleterVarnam

#### Description [src]

    final class Pos.CompleterVarnam : GObject.Object
      implements Gio.Initable, Pos.Completer {
      /* No available fields */
    }

A completer using varnam.

Uses govarnam to suggest completions.

This is mostly to demo a simple completer.

#### Ancestors

- GObject

#### Implements

- GInitable
- PosCompleter

#### Functions

###### pos_completer_varnam_new

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

##### Methods inherited from PosCompleter (12)

###### pos_completer_feed_symbol

Feeds a symbol to be processed by the completer.

###### pos_completer_get_completions

Returns the current possible completions.

###### pos_completer_get_display_name

Get the completers display name.

###### pos_completer_get_name

Returns the completers name.

###### pos_completer_get_preedit

Returns the current preedit.

###### pos_completer_learn_accepted

The completer should learn the given word and offer it for completions in the future.

###### pos_completer_lookup_completion

Given a given completion string lookup what should actually be completed. This allows completers to e.g. provide the full word as completion “handle” and fill in just the last chars as actual completions.

###### pos_completer_set_language

Let the completer pick a language based on the given language code and region. If an error occurs `FALSE` is returned and `error` set to the error.

###### pos_completer_set_preedit

Sets the current preedit. The preedit is the current word under completion.

###### pos_completer_set_selected

Inform the completer that the user has selected an option provided by the completer. Returns `TRUE` if the completer handled the selection.

###### pos_completer_set_surrounding_text

Set the text before and after the current cursor position. This can be used by the completer to improve the prediction.

###### pos_completer_toggle_mode

Toggle the completer mode. It’s up to the completer to make sense of mode toggles and to keep track of state.

#### Properties

##### Properties inherited from PosCompleter (4)

###### PosCompleter:completions

The list of completions for a given preedit.

###### PosCompleter:mode-name

Mode name shown by the OSK along with the mode toggle.

###### PosCompleter:name

The name of this completer.

###### PosCompleter:preedit

The preedit is not yet submitted text at the current cursor position.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

##### Signals inherited from PosCompleter (2)

###### PosCompleter::commit-string

The completer wants the given text to be committed as is. This can happen when the completer encounters a word separating character (e.g. space). `preedit` will be set to empty in this case.

###### PosCompleter::update

The completer changed it’s preedit to the given string and wants the given number of bytes before and after the preedit removed.

#### Class structure

    struct PosCompleterVarnamClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.